This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 975654 - Dependancy Problelm
Dependancy Problelm
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mingw-qpid-cpp (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ted Ross
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-19 00:23 EDT by Eli Wapniarski
Modified: 2014-02-05 16:52 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 16:52:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eli Wapniarski 2013-06-19 00:23:37 EDT
yum install mingw*qpid-cpp produces what follows.

Thanks for looking into this

Eli

Error: Package: mingw32-qpid-cpp-0.14-5.fc18.noarch (updates)
           Requires: mingw32(boost_program_options-gcc47-mt-1_48.dll)
           Available: mingw32-boost-1.48.0-10.fc18.noarch (fedora)
               mingw32(boost_program_options-gcc47-mt-1_48.dll)
           Installed: mingw32-boost-1.50.0-1.fc18.noarch (@updates)
               Not found
Error: Package: mingw64-qpid-cpp-0.14-5.fc18.noarch (updates)
           Requires: mingw64(boost_date_time-gcc47-mt-1_48.dll)
           Available: mingw64-boost-1.48.0-10.fc18.noarch (fedora)
               mingw64(boost_date_time-gcc47-mt-1_48.dll)
           Installed: mingw64-boost-1.50.0-1.fc18.noarch (@updates)
               Not found
Error: Package: mingw64-qpid-cpp-0.14-5.fc18.noarch (updates)
           Requires: mingw64(boost_system-gcc47-mt-1_48.dll)
           Available: mingw64-boost-1.48.0-10.fc18.noarch (fedora)
               mingw64(boost_system-gcc47-mt-1_48.dll)
           Installed: mingw64-boost-1.50.0-1.fc18.noarch (@updates)
               Not found
Error: Package: mingw64-qpid-cpp-0.14-5.fc18.noarch (updates)
           Requires: mingw64(boost_filesystem-gcc47-mt-1_48.dll)
           Available: mingw64-boost-1.48.0-10.fc18.noarch (fedora)
               mingw64(boost_filesystem-gcc47-mt-1_48.dll)
           Installed: mingw64-boost-1.50.0-1.fc18.noarch (@updates)
               Not found
Error: Package: mingw32-qpid-cpp-0.14-5.fc18.noarch (updates)
           Requires: mingw32(boost_system-gcc47-mt-1_48.dll)
           Available: mingw32-boost-1.48.0-10.fc18.noarch (fedora)
               mingw32(boost_system-gcc47-mt-1_48.dll)
           Installed: mingw32-boost-1.50.0-1.fc18.noarch (@updates)
               Not found
Error: Package: mingw32-qpid-cpp-0.14-5.fc18.noarch (updates)
           Requires: mingw32(boost_filesystem-gcc47-mt-1_48.dll)
           Available: mingw32-boost-1.48.0-10.fc18.noarch (fedora)
               mingw32(boost_filesystem-gcc47-mt-1_48.dll)
           Installed: mingw32-boost-1.50.0-1.fc18.noarch (@updates)
               Not found
Error: Package: mingw64-qpid-cpp-0.14-5.fc18.noarch (updates)
           Requires: mingw64(boost_program_options-gcc47-mt-1_48.dll)
           Available: mingw64-boost-1.48.0-10.fc18.noarch (fedora)
               mingw64(boost_program_options-gcc47-mt-1_48.dll)
           Installed: mingw64-boost-1.50.0-1.fc18.noarch (@updates)
               Not found
Error: Package: mingw32-qpid-cpp-0.14-5.fc18.noarch (updates)
           Requires: mingw32(boost_thread-gcc47-mt-1_48.dll)
           Available: mingw32-boost-1.48.0-10.fc18.noarch (fedora)
               mingw32(boost_thread-gcc47-mt-1_48.dll)
           Installed: mingw32-boost-1.50.0-1.fc18.noarch (@updates)
               Not found
Error: Package: mingw32-qpid-cpp-0.14-5.fc18.noarch (updates)
           Requires: mingw32(boost_date_time-gcc47-mt-1_48.dll)
           Available: mingw32-boost-1.48.0-10.fc18.noarch (fedora)
               mingw32(boost_date_time-gcc47-mt-1_48.dll)
           Installed: mingw32-boost-1.50.0-1.fc18.noarch (@updates)
               Not found
Error: Package: mingw64-qpid-cpp-0.14-5.fc18.noarch (updates)
           Requires: mingw64(boost_thread-gcc47-mt-1_48.dll)
           Available: mingw64-boost-1.48.0-10.fc18.noarch (fedora)
               mingw64(boost_thread-gcc47-mt-1_48.dll)
           Installed: mingw64-boost-1.50.0-1.fc18.noarch (@updates)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest
Comment 1 Andrew Beekhof 2013-06-24 23:18:16 EDT
I thought that package got dropped...
Comment 2 Eli Wapniarski 2013-06-24 23:45:28 EDT
Then and I'm only assuming and I don't know how its done and it should have been obsoleted.

Thanks for the response

Eli
Comment 3 Andrew Beekhof 2013-06-24 23:53:13 EDT
It was at least renamed to mingw-qpid-cpp over a year ago, so I've no idea how it appeared in f18.

commit ef8e936b726bd8ac3ccb2fd94e57701a2093cb20
Author: Erik van Pienbroek <epienbro@fedoraproject.org>
Date:   Wed Mar 28 23:36:54 2012 +0200

    Package has been renamed to mingw-qpid-cpp

 .gitignore                         |   4 ----
 dead.package                       |   1 +
 mingw32-qpid-cpp.spec              | 187 --------------------...
 qpid-build-qmf2-on-win32.patch     |  57 --------------------...
 qpid-cpp-singleton.patch           |  22 ----------------------
 qpid-dont-build-docs.patch         |  22 ----------------------
 qpid-mingw-w64-compatibility.patch | 119 --------------------...
 sources                            |   1 -
 8 files changed, 1 insertion(+), 412 deletions(-)
Comment 4 Eli Wapniarski 2013-06-25 02:20:36 EDT
k thanks for that... and I won't worry about it anymore
Comment 5 Erik van Pienbroek 2013-06-25 15:07:47 EDT
Andrew, the original 'mingw32-qpid-cpp' package got renamed during the f17 development cycle to 'mingw-qpid-cpp' so that it matches the current Fedora MinGW Packaging Guidelines (which allows support for both win32 and win64 binaries). To apply changes to your package you'd have to 'fedpkg co mingw-qpid-cpp' first and work from there.
Comment 6 Fedora End Of Life 2013-12-21 09:03:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2014-02-05 16:52:22 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.